function OnWarpEnter()
	PlaySound("Sounds/SFX/A_TempleU.ogg",-1)	
	SetMarker("Pi Ramses\\Temple U\\Warp_0040.wp",0,0)
	SetMarker("Pi Ramses\\Temple U\\Warp_0037.wp",0,0)
	if TUYA_IN_NAOS then
		StartAnimation("TOU1",-1) --bruja
	end
end

function OnWarpLeave()
end

function OnDialogFinished(dialogName)
	if dialogName=="MAIA1223" then
		LookAt(088,008)
		DrawText("MAIA1471","MAIA1471.ogg")
	end
end

function OnWarpObjectHit(objectName)
	if objectName == "CAT2" then

------------------------------------------------------------
	elseif objectName == "CMT1" then

------------------------------------------------------------
	elseif objectName == "LJT1" then

------------------------------------------------------------
	elseif objectName == "LKT1" then
	end
        if objectName=="3D\\Pi Ramses\\Temple U\\Warp_0040.wp" then
		if MAYA_BETRAYED and TUYA_IN_NAOS then
			DrawText("MAIA1223","MAIA1223.ogg")
		else
			ChangeWarp(objectName)
		end
        end
	if objectName=="3D\\Pi Ramses\\Temple U\\Warp_0037.wp" then
		ChangeWarp(objectName)
      end
end
